javax.faces.event

## Class ExceptionQueuedEventContext

- java.lang.Object
- - javax.faces.event.ExceptionQueuedEventContext

- All Implemented Interfaces:
    SystemEventListenerHolder

      public class ExceptionQueuedEventContext
      extends Object
      implements SystemEventListenerHolder

  This helper class provides context to the `ExceptionQueuedEvent` regarding the state of the system at the point in time when the `ExceptionQueuedEvent` occurs and links the `ExceptionQueuedEvent` to the `ExceptionHandler` by virtue of implementing `SystemEventListener`.

  Since:
    2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IN_AFTER_PHASE_KEY` The presence of an entry under this key in the `Map` returned from `getAttributes()` indicates the event occurred during the “after phase” part of the current lifecycle phase.
    `static String` | `IN_BEFORE_PHASE_KEY` The presence of an entry under this key in the `Map` returned from `getAttributes()` indicates the event occurred during the “before phase” part of the current lifecycle phase.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionQueuedEventContext(FacesContext context, Throwable thrown)` Instantiate a new `ExceptionQueuedEventContext` that indicates the argument `Throwable` just occurred.
    `ExceptionQueuedEventContext(FacesContext context, Throwable thrown, UIComponent component)` Instantiate a new `ExceptionQueuedEventContext` that indicates the argument `Throwable` just occurred, relevant to the argument `component`.
    `ExceptionQueuedEventContext(FacesContext context, Throwable thrown, UIComponent component, PhaseId phaseId)` Instantiate a new `ExceptionQueuedEventContext` that indicates the argument `Throwable` just occurred, relevant to the argument `component`, during the lifecycle phase `phaseId`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<Object,Object>` | `getAttributes()` A `Map` of attributes relevant to the context of this `ExceptionQueuedEvent`.
    `UIComponent` | `getComponent()` Return the `UIComponent` which was being processed when the exception was thrown.
    `FacesContext` | `getContext()`
    `Throwable` | `getException()` Return the `exception` property.
    `List<SystemEventListener>` | `getListenersForEventClass(Class<? extends SystemEvent> facesEventClass)` Return a `List` that contains a single entry, the `ExceptionHandler` for the current request.
    `PhaseId` | `getPhaseId()` Return the `PhaseId` which was being processed when the exception was thrown.
    `boolean` | `inAfterPhase()`
    `boolean` | `inBeforePhase()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IN_BEFORE_PHASE_KEY

          public static final String IN_BEFORE_PHASE_KEY

      The presence of an entry under this key in the `Map` returned from `getAttributes()` indicates the event occurred during the “before phase” part of the current lifecycle phase.

    - #### IN_AFTER_PHASE_KEY

          public static final String IN_AFTER_PHASE_KEY

      The presence of an entry under this key in the `Map` returned from `getAttributes()` indicates the event occurred during the “after phase” part of the current lifecycle phase.

  - ### Constructor Detail

    - #### ExceptionQueuedEventContext

          public ExceptionQueuedEventContext(FacesContext context,
                                     Throwable thrown)

      Instantiate a new `ExceptionQueuedEventContext` that indicates the argument `Throwable` just occurred.

      Parameters:
        `context` - `FacesContext` for the current request
        `thrown` - the `Throwable` that is the context for this `ExceptionQueuedEventContext` instance.

    - #### ExceptionQueuedEventContext

          public ExceptionQueuedEventContext(FacesContext context,
                                     Throwable thrown,
                                     UIComponent component)

      Instantiate a new `ExceptionQueuedEventContext` that indicates the argument `Throwable` just occurred, relevant to the argument `component`.

      Parameters:
        `context` - `FacesContext` for the current request
        `thrown` - the `Throwable` that is the context for this `ExceptionQueuedEventContext` instance.
        `component` - the `UIComponent` instance to which this `ExceptionQueuedEventContext` pertains

    - #### ExceptionQueuedEventContext

          public ExceptionQueuedEventContext(FacesContext context,
                                     Throwable thrown,
                                     UIComponent component,
                                     PhaseId phaseId)

      Instantiate a new `ExceptionQueuedEventContext` that indicates the argument `Throwable` just occurred, relevant to the argument `component`, during the lifecycle phase `phaseId`.

      Parameters:
        `context` - `FacesContext` for the current request
        `thrown` - the `Throwable` that is the context for this `ExceptionQueuedEventContext` instance.
        `component` - the `UIComponent` that is relevant to the context.
        `phaseId` - the `PhaseId` at the time this `ExeceptionEventContext` is created.

  - ### Method Detail

    - #### getContext

          public FacesContext getContext()

      Returns:
        the `FacesContext` used to create this `ExceptionQueuedEventContext` instance.

    - #### getException

          public Throwable getException()

      Return the `exception` property.

    - #### getComponent

          public UIComponent getComponent()

      Return the `UIComponent` which was being processed when the exception was thrown. If none or not available, this will be `null`.

    - #### getPhaseId

          public PhaseId getPhaseId()

      Return the `PhaseId` which was being processed when the exception was thrown. If none or not available, this will be `null`.

    - #### inBeforePhase

          public boolean inBeforePhase()

      Returns:
        `true` if the exception occurred during the `before phase` processing for a particular lifecycle phase

    - #### inAfterPhase

          public boolean inAfterPhase()

      Returns:
        `true` if the exception occurred during the `after phase` processing for a particular lifecycle phase

    - #### getAttributes

          public Map<Object,Object> getAttributes()

      A `Map` of attributes relevant to the context of this `ExceptionQueuedEvent`.

    - #### getListenersForEventClass

          public List<SystemEventListener> getListenersForEventClass(Class<? extends SystemEvent> facesEventClass)

      Return a `List` that contains a single entry, the `ExceptionHandler` for the current request.

      Specified by:
        `getListenersForEventClass` in interface `SystemEventListenerHolder`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.